﻿package my.display 
{
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.text.TextField;
	import flash.text.TextFieldAutoSize;
	import flash.text.TextFormat;
	
	/**
	 * projekt 01 - XML menu
	 * @author Andrej Novotný
	 */
	public class myButton extends Sprite
	{
		
		public function myButton(buttonShape:Shape, onClickHandler:Function = null, title:String = null, redirr:String = null) 
		{
			// tvar
			if (buttonShape != null) {
				addChild(buttonShape);
				buttonMode = true;
			}
			
			// po kliku
			if (onClickHandler != null) {
				addEventListener(MouseEvent.CLICK, onClickHandler);
				// TUTO niekde by som chcel pridat ten parameter redirr
			}
			
			// popisok tlacidla
			if (title != null) {
				var myTextField:TextField = new TextField();
				var myFormat:TextFormat = new TextFormat();   
				myTextField.autoSize = TextFieldAutoSize.LEFT;
				myTextField.defaultTextFormat = new TextFormat("ARIAL");
				myTextField.selectable = false;
				myTextField.background = false;
				myTextField.backgroundColor = 0x336699;
				myTextField.mouseEnabled = false;
				myFormat.color = 0xFFFFFF;
				myFormat.size = 20;   
				myFormat.italic = true;    		
				myTextField.text = " "+title+" ";				
				myTextField.setTextFormat(myFormat);
				addChild(myTextField);			
				
			}
		}
		
	}

}